.Baseline {
  text-align: left;
  background-color: lightgray;
  color: black;
}

.darkmode {
  background-color: black;
  color: lightgray;
  a {
    color: lightgray;
    :active {
      color: lightgray;
    }
    border-style: none;
  }
}

a {
  :active {
    text-decoration-line: none;
    color: black;
  }
  height: auto;
  text-align: center;
  text-decoration-color: black;
  text-decoration-line: none;
  color: black;
  border-style: solid;
  border-width: 0.5px;
  padding: 1px 3px 1px 3px;
  margin-left: 3px;
  margin-right: 3px;
}

button {
  color: black;
  background-color: lightgray;
  border-color: black;
  border-style: solid;
  border-width: 0.5px;
  padding: 1px 3px 1px 3px;
  margin-left: 3px;
  margin-right: 3px;
}

.top-menu {
  margin-bottom: 10px;
}

h1 {
  text-align: center;
  margin-top: 20px;
  margin-bottom: 20px;
}

.centeringdiv {
  text-align: center;
}

.chat-box {
  text-align: left;
  width: 26em;
  max-width: 26em;

  ul {
    padding-left: 0;
    display: inline-block;
    list-style-type: none;
    width: 26em;
    overflow-y: hidden;
    height: 20em;
    max-height: 20em;
  }
  ul:hover{
    overflow-y: auto;
  }
  ul li {
    align-items: left;
    list-style-type: none;
    max-width: 23em;
  }
  ul li .chat-entry-from {
    font-size:small;
    font-weight: bold;
    margin-left: 1em;
    margin-right: 1em;
  }
  ul li .chat-entry-time {
    font-size:smaller;
    font-weight: lighter;
    margin-left: 1em;
    margin-right: 1em;
  }
  ul li .chat-entry-text {
    margin-top: 0em;
    margin-bottom: 0.5em;
    font-size: medium;
    overflow-wrap: break-word;
    margin-left: 1em;
    margin-right: 1em;
  }
  form label {
    display:inline-block;
    text-align: right;
    font-size: 12pt;
  }
  form input {
    display:inline-block;
    margin-left: 3px;
    width: 90%;
  }
}

.widget-row {
 display: flex;
 flex-direction:row;
}


.biz-form {
  margin-left: 20em;
  text-align: left;
  width: 26em;
  max-width: 26em;
  ul {
    padding-left: 0;
    display: inline-block;
    list-style-type: none;
    height: 20em;
    width: 26em;
    max-height: 20em;
  }
  ul li {
    align-items: left;
    list-style-type: none;
  }
  ul li .chat-entry-from {
    font-size:small;
    font-weight: bold;
    margin-left: 1em;
    margin-right: 1em;
  }
  ul li .chat-entry-time {
    font-size:smaller;
    font-weight: lighter;
    margin-left: 1em;
    margin-right: 1em;
  }
  ul li .chat-entry-text {
    margin-top: 0em;
    margin-bottom: 0.5em;
    font-size: medium;
    overflow-wrap: break-word;
    margin-left: 1em;
    margin-right: 1em;
  }
  form label {
    display:inline-block;
    text-align: right;
    font-size: 12pt;
  }
  form input {
    display:inline-block;
    margin-left: 3px;
    width: 90%;
  }
  form .form-button {
    display:inline-block;
    margin-left: 3px;
    width: 5em;
  }
  form .responseText {
    margin-left: 1em;
    visibility: visible;
    opacity: 1;
  }
}

.responseTextFadeOut {
  margin-left: 1em;
  animation: 5s fadeOut;
  animation-fill-mode: forwards;
  visibility: visible;
  opacity: 1;
}

@keyframes fadeOut {
  0% {
    visibility: visible;
    opacity: 1;
  }
  100% {
    opacity: 0;
    visibility: collapse;
  }
}